# DELIVER

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
NOTES
EXAMPLES
FILES
SEE ALSO
AUTHOR
COPYRIGHT

## NAME

deliver - Cyrus IMAP documentation

intro

## SYNOPSIS

deliver `[` -C config-file `] [` -d `] [` -r address `]
[` -f address `] [` -m mailbox `] [` -a auth-id `]
[` -q `] [` userid `]...`
deliver `[` -C config-file `]` -l

## DESCRIPTION

deliver reads a message from the standard input and delivers it to one or more IMAP mailboxes.

deliver reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## OPTIONS

-C config-file

Use the specified configuration file config-file rather than the default imapd.conf(5).

| -d |  | Ignored for compatibility with /bin/mail. |

-r address, --return-path=address

Insert a Return-Path: header containing address.

-f address

Insert a Return-Path: header containing address.

-m mailbox, --mailbox=mailbox

Deliver to mailbox. If any userids are specified, attempts to deliver to user.userid.mailbox for each userid. If the ACL on any such mailbox does not grant the sender the "p" right or if -m is not specified, then delivers to the INBOX for the userid, regardless of the ACL on the INBOX.

If no userids are specified, attempts to deliver to mailbox. If the ACL on mailbox does not grant the sender the "p" right, the delivery fails.

-a auth-id, --auth-id=auth-id

Specify the authorization id of the sender. Defaults to "anonymous".

-q, --ignore-quota

Deliver message even when receiving mailbox is over quota.

-l, --lmtp

Accept messages using the LMTP protocol.

## NOTES

Depending on the setting of reject8bit in imapd.conf(5), deliver either rejects/accepts messages with 8-bit-set characters in the headers. If we accept messages with 8-bit-set characters in the headers, then depending on the setting of munge8bit, these characters are either left un-touched or changed to "X".

This is because such characters can't be interpreted since the character set is not known, although some communities not well-served by US-ASCII assume that those characters can be used to represent characters not present in US-ASCII.

A method for encoding 8-bit-set characters is provided by RFC 2047.

## EXAMPLES

[NB: Examples needed]

## FILES

/etc/imapd.conf

## SEE ALSO

lmtpd(8)

## AUTHOR

The Cyrus Team, Nic Bernstein (Onlight)

## COPYRIGHT

1993â2025, The Cyrus Team